
/*
* Copyright (C) 2004-2014 Texas Instruments Incorporated - http://www.ti.com/
* All rights reserved.	
*
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

//
//
// Common PA Library -- sin/cos Tables for FFT
//
//
//

/*********************************************************************/
/*   sin cos table for AAC and AC3 Decoder                           */
/*********************************************************************/
#pragma DATA_ALIGN (zcos2_aac , 8);
const float zcos2_aac[] =
{
(float) -8.8387931675923150e-002,(float) -8.8354655998506560e-002,
(float) -8.8268158780109860e-002,(float) -8.8128492123423050e-002,
(float) -8.7935740158417680e-002,(float) -8.7690018991669980e-002,
(float) -8.7391476636422700e-002,(float) -8.7040292923427440e-002,
(float) -8.6636679392621290e-002,(float) -8.6180879165703120e-002,
(float) -8.5673166799686170e-002,(float) -8.5113848121515140e-002,
(float) -8.4503260043847460e-002,(float) -8.3841770362109800e-002,
(float) -8.3129777532951710e-002,(float) -8.2367710434230380e-002,
(float) -8.1556028106670550e-002,(float) -8.0695219477355560e-002,
(float) -7.9785803065216020e-002,(float) -7.8828326668693330e-002,
(float) -7.7823367035766390e-002,(float) -7.6771529516540250e-002,
(float) -7.5673447698605730e-002,(float) -7.4529783025390040e-002,
(float) -7.3341224397727930e-002,(float) -7.2108487758893660e-002,
(float) -7.0832315663343460e-002,(float) -6.9513476829428530e-002,
(float) -6.8152765676347870e-002,(float) -6.6751001845619830e-002,
(float) -6.5309029707360720e-002,(float) -6.3827717851667800e-002,
(float) -6.2307958565413140e-002,(float) -6.0750667294763310e-002,
(float) -5.9156782093748860e-002,(float) -5.7527263059215720e-002,
(float) -5.5863091752498610e-002,(float) -5.4165270608165340e-002,
(float) -5.2434822330187630e-002,(float) -5.0672789275902530e-002,
(float) -4.8880232828135240e-002,(float) -4.7058232755861910e-002,
(float) -4.5207886563797120e-002,(float) -4.3330308831298040e-002,
(float) -4.1426630540983610e-002,(float) -3.9497998397472780e-002,
(float) -3.7545574136652580e-002,(float) -3.5570533825891940e-002,
(float) -3.3574067155622470e-002,(float) -3.1557376722713720e-002,
(float) -2.9521677306073520e-002,(float) -2.7468195134910740e-002,
(float) -2.5398167150100680e-002,(float) -2.3312840259098040e-002,
(float) -2.1213470584846540e-002,(float) -1.9101322709137500e-002,
(float) -1.6977668910872930e-002,(float) -1.4843788399692390e-002,
(float) -1.2700966545424880e-002,(float) -1.0550494103830110e-002,
(float) -8.3936664390956010e-003,(float) -6.2317827435575840e-003,
(float) -4.0661452551161940e-003,(float) -1.8980584728161050e-003,
	
};


#pragma DATA_ALIGN (zsin2_aac , 8);
const float zsin2_aac[] =
{	
(float) -2.7117162893504640e-004,(float) -2.4402383870366790e-003,
(float) -4.6078352367803520e-003,(float) -6.7726564988754450e-003,
(float) -8.9333981659415530e-003,(float) -1.1088758687993770e-002,
(float) -1.3237439756447740e-002,(float) -1.5378147086172170e-002,
(float) -1.7509591195117850e-002,(float) -1.9630488181053380e-002,
(float) -2.1739560494939870e-002,(float) -2.3835537710478740e-002,
(float) -2.5917157289368980e-002,(float) -2.7983165341813020e-002,
(float) -3.0032317381813120e-002,(float) -3.2063379076803090e-002,
(float) -3.4075126991164150e-002,(float) -3.6066349323176800e-002,
(float) -3.8035846634964840e-002,(float) -3.9982432574991880e-002,
(float) -4.1904934592675200e-002,(float) -4.3802194644686340e-002,
(float) -4.5673069892513050e-002,(float) -4.7516433390862590e-002,
(float) -4.9331174766491380e-002,(float) -5.1116200887052270e-002,
(float) -5.2870436519556640e-002,(float) -5.4592824978054600e-002,
(float) -5.6282328760142990e-002,(float) -5.7937930171918090e-002,
(float) -5.9558631940996390e-002,(float) -6.1143457817234110e-002,
(float) -6.2691453160783870e-002,(float) -6.4201685517134020e-002,
(float) -6.5673245178784280e-002,(float) -6.7105245733219650e-002,
(float) -6.8496824596852080e-002,(float) -6.9847143534608620e-002,
(float) -7.1155389164852830e-002,(float) -7.2420773449335490e-002,
(float) -7.3642534167879430e-002,(float) -7.4819935377512340e-002,
(float) -7.5952267855771430e-002,(float) -7.7038849527912440e-002,
(float) -7.8079025877765940e-002,(float) -7.9072170341993500e-002,
(float) -8.0017684687505950e-002,(float) -8.0914999371816580e-002,
(float) -8.1763573886112330e-002,(float) -8.2562897080836040e-002,
(float) -8.3312487473583830e-002,(float) -8.4011893539132090e-002,
(float) -8.4660693981419410e-002,(float) -8.5258497987319580e-002,
(float) -8.5804945462052760e-002,(float) -8.6299707246093180e-002,
(float) -8.6742485313442450e-002,(float) -8.7133012951149320e-002,
(float) -8.7471054919967650e-002,(float) -8.7756407596055600e-002,
(float) -8.7988899093631110e-002,(float) -8.8168389368509490e-002,
(float) -8.8294770302460690e-002,(float) -8.8367965768335800e-002,

};   
#pragma DATA_ALIGN (zcos1_ac3 , 8);
const float zcos1_ac3[] =  
 {   
    -0.088388243655158,	-0.088379924334499,
	-0.088358295322322,	-0.088323359875877,
	-0.088275123256313,	-0.088213592727888,
	-0.088138777556873,	-0.088050689010159,
	-0.087949340353555,	-0.087834746849797,
	-0.087706925756245,	-0.087565896322286,
	-0.087411679786433,	-0.087244299373130,
	-0.087063780289251,	-0.086870149720306,
	-0.086663436826347,	-0.086443672737575,
	-0.086210890549653,	-0.085965125318724,
	-0.085706414056125,	-0.085434795722823,
	-0.085150311223539,	-0.084853003400592,
	-0.084542917027447,	-0.084220098801971,
	-0.083884597339401,	-0.083536463165024,
	-0.083175748706565,	-0.082802508286296,
	-0.082416798112850,	-0.082018676272761,
	-0.081608202721714,	-0.081185439275516,
	-0.080750449600786,	-0.080303299205370,
	-0.079844055428472,	-0.079372787430516,
	-0.078889566182729,	-0.078394464456454,
	-0.077887556812189,	-0.077368919588361,
	-0.076838630889829,	-0.076296770576119,
	-0.075743420249402,	-0.075178663242201,
	-0.074602584604845,	-0.074015271092658,
	-0.073416811152893,	-0.072807294911417,
	-0.072186814159134,	-0.071555462338162,
	-0.070913334527764,	-0.070260527430026,
	-0.069597139355295,	-0.068923270207376,
	-0.068239021468483,	-0.067544496183960,
	-0.066839798946760,	-0.066125035881695,
	-0.065400314629453,	-0.064665744330389,
	-0.063921435608088,	-0.063167500552706,
	-0.062404052704089,	-0.061631207034675,
	-0.060849079932178,	-0.060057789182065,
	-0.059257453949811,	-0.058448194762958,
	-0.057630133492963,	-0.056803393336844,
	-0.055968098798628,	-0.055124375670600,
	-0.054272351014359,	-0.053412153141685,
	-0.052543911595213,	-0.051667757128926,
	-0.050783821688465,	-0.049892238391255,
	-0.048993141506462,	-0.048086666434768,
	-0.047172949687986,	-0.046252128868497,
	-0.045324342648529,	-0.044389730749274,
	-0.043448433919847,	-0.042500593916087,
	-0.041546353479213,	-0.040585856314324,
	-0.039619247068761,	-0.038646671310321,
	-0.037668275505334,	-0.036684206996612,
	-0.035694613981251,	-0.034699645488319,
	-0.033699451356412,	-0.032694182211087,
	-0.031683989442180,	-0.030669025181006,
	-0.029649442277449,	-0.028625394276944,
	-0.027597035397354,	-0.026564520505742,
	-0.025528005095055,	-0.024487645260700,
	-0.023443597677040,	-0.022396019573804,
	-0.021345068712398,	-0.020290903362157,
	-0.019233682276506,	-0.018173564669052,
	-0.017110710189605,	-0.016045278900143,
	-0.014977431250697,	-0.013907328055196,
	-0.012835130467245,	-0.011760999955857,
	-0.010685098281136,	-0.0096075874699169,
	-0.0085286297913643, -0.0074483877325358,
	-0.0063670239739121,-0.0052847013648977,
	-0.0042015828992964,-0.0031178316907652,
	-0.0020336109482496,-0.00094908395140533,
  };

#pragma DATA_ALIGN (zsin1_ac3 , 8);
const float zsin1_ac3[] =
{
	-0.00013558597399097,	-0.0012202354806383,
	-0.0023047012243106,	-0.0033888198884560,
	-0.0044724282087911,	-0.0055553629978889,
	-0.0066374611697535,	-0.0077185597643804,
	-0.0087984959722978,	-0.0098771071590853,
	-0.010954230889865,	-0.012029704953766,
	-0.013103367388350,	-0.014175056504003,
	-0.015244610908286,	-0.016311869530241,
	-0.017376671644644,	-0.018438856896214,
	-0.019498265323759,	-0.020554737384266,
	-0.021608113976930,	-0.022658236467109,
	-0.023704946710221,	-0.024748087075551,
	-0.025787500469998,	-0.026823030361728,
	-0.027854520803749,	-0.028881816457394,
	-0.029904762615715,	-0.030923205226786,
	-0.031936990916893,	-0.032945967013642,
	-0.033949981568944,	-0.034948883381899,
	-0.035942522021569,	-0.036930747849629,
	-0.037913412042905,	-0.038890366615784,
	-0.039861464442501,	-0.040826559279295,
	-0.041785505786433,	-0.042738159550099,
	-0.043684377104140,	-0.044624015951672,
	-0.045556934586543,	-0.046482992514636,
	-0.047402050275035,	-0.048313969461020,
	-0.049218612740918,	-0.050115843878777,
	-0.051005527754888,	-0.051887530386133,
	-0.052761718946158,	-0.053627961785384,
	-0.054486128450823,	-0.055336089705734,
	-0.056177717549077,	-0.057010885234795,
	-0.057835467290899,	-0.058651339538365,
	-0.059458379109833,	-0.060256464468112,
	-0.061045475424483,	-0.061825293156797,
	-0.062595800227374,	-0.063356880600682,
	-0.064108419660816,	-0.064850304228759,
	-0.065582422579423,	-0.066304664458478,
	-0.067016921098953,	-0.067719085237618,
	-0.068411051131137,	-0.069092714571991,
	-0.069763972904173,	-0.070424725038648,
	-0.071074871468575,	-0.071714314284292,
	-0.072342957188065,	-0.072960705508583,
	-0.073567466215222,	-0.074163147932051,
	-0.074747660951596,	-0.075320917248344,
	-0.075882830492007,	-0.076433316060517,
	-0.076972291052772,	-0.077499674301121,
	-0.078015386383587,	-0.078519349635826,
	-0.079011488162826,	-0.079491727850337,
	-0.079959996376027,	-0.080416223220379,
	-0.080860339677307,	-0.081292278864508,
	-0.081711975733529,	-0.082119367079564,
	-0.082514391550976,	-0.082896989658532,
	-0.083267103784365,	-0.083624678190648,
	-0.083969659027992,	-0.084301994343550,
	-0.084621634088848,	-0.084928530127314,
	-0.085222636241535,	-0.085503908140212,
	-0.085772303464831,	-0.086027781796043,
	-0.086270304659752,	-0.086499835532906,
	-0.086716339849000,	-0.086919785003281,
	-0.087110140357657,	-0.087287377245311,
	-0.087451468975020,	-0.087602390835173,
	-0.087740120097493,	-0.087864636020460,
	-0.087975919852434,	-0.088073954834479,
	-0.088158726202887,	-0.088230221191403,
	-0.088288429033143,	-0.088333340962221,
	-0.088364950215066,	-0.088383252031441,
};


	
